net.sf.jasperreports.engine.fill

## Class CompositeFillListener

- java.lang.Object
- - net.sf.jasperreports.engine.fill.CompositeFillListener

- All Implemented Interfaces:
    FillListener

      public class CompositeFillListener
      extends java.lang.Object
      implements FillListener

  `FillListener` implementation that contains several other listeners.
  Version:
    $Id: CompositeFillListener.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeFillListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FillListener` | `addListener(FillListener existingListener, FillListener listener)`
    `void` | `pageGenerated(JasperPrint jasperPrint, int pageIndex)` Called when a report page has been generated.
    `void` | `pageUpdated(JasperPrint jasperPrint, int pageIndex)` Called when a previously generated page has been updated, usually by evaluating a delayed element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeFillListener

          public CompositeFillListener()

  - ### Method Detail

    - #### addListener

          public static FillListener addListener(FillListener existingListener,
                                 FillListener listener)

    - #### pageGenerated

          public void pageGenerated(JasperPrint jasperPrint,
                           int pageIndex)

      Description copied from interface: `FillListener`
      Called when a report page has been generated. The page might not be final due to delayed evaluation elements.
      Specified by:
        `pageGenerated` in interface `FillListener`
      Parameters:
        `jasperPrint` - the report that is currently generating
        `pageIndex` - the index of the page that has been generated

    - #### pageUpdated

          public void pageUpdated(JasperPrint jasperPrint,
                         int pageIndex)

      Description copied from interface: `FillListener`
      Called when a previously generated page has been updated, usually by evaluating a delayed element.
      Specified by:
        `pageUpdated` in interface `FillListener`
      Parameters:
        `jasperPrint` - the report that is currently generating
        `pageIndex` - the index of the page that has been updated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com